classification
Title: PEP 3121, 384 Refactoring applied to grp module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 21:55 by Robin.Schreiber, last changed 2020-11-19 14:09 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
grp_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 21:55
Messages (2)
msg168422 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 21:55
Changes proposed in PEP3121 and PEP384 have now been applied to the grp module!
msg381425 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-19 14:09
commit fa2eee975dbf7d2728021ef9d97328bbe88351cf
Author: Christian Heimes <christian@python.org>
Date:   Thu Nov 19 08:47:32 2020 +0100

    bpo-1635741: Port grp and pwd to multiphase initialization (GH-23360)


See bpo-41111 "Convert a few stdlib extensions to the limited C API (PEP 384)".
History
Date User Action Args
2020-11-19 14:09:27vstinnersetstatus: open -> closed

superseder: Py_Finalize() doesn't clear all Python objects at exit

nosy: + vstinner
messages: + msg381425
resolution: duplicate
stage: resolved
2012-11-08 13:39:59Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:49:13belopolskylinkissue15787 dependencies
2012-08-16 21:55:57Robin.Schreibercreate